from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from .com.sun.star.uno import XInterface

@runtime_checkable
class XContextMenuInterception(XInterface, Protocol):
    def registerContextMenuInterceptor(self, Interceptor: inXContextMenuInterceptor) -> None: ...
    def releaseContextMenuInterceptor(self, Interceptor: inXContextMenuInterceptor) -> None: ...
